]> git.wincent.com - wikitext.git/commitdiff
Update docs for 3.0b release 3.0b
authorWincent Colaiuta <win@wincent.com>
Sat, 28 May 2011 07:36:44 +0000 (00:36 -0700)
committerWincent Colaiuta <win@wincent.com>
Sat, 28 May 2011 07:36:44 +0000 (00:36 -0700)
Signed-off-by: Wincent Colaiuta <win@wincent.com>
README.rdoc
doc/RELEASE-NOTES

index 31d500e0145881649f3983d9a1510373bf9bb948..8419803b85040b98e838c628ab34be53fd7914e8 100644 (file)
@@ -458,20 +458,30 @@ of every request.
 
 == Rails 2.3
 
+For Rails 2.3.x support, use version 2.1.x of the Wikitext gem.
+
 The plug-in can be activated with an appropriate <tt>config.gem</tt> statement
 in your <tt>config/environment.rb</tt>:
 
-    config.gem 'wikitext'
+    config.gem 'wikitext', '2.1.1'
 
 == Rails 3.0
 
+For Rails 3.0.x support, use version 2.1.x of the Wikitext gem.
+
 Add a line like the following to your Gemfile:
 
-    gem 'wikitext', '>= 2.0'
+    gem 'wikitext', '~> 2.1.1'
 
 Note that while older versions of Wikitext do work with Rails 3 to some degree,
 for full compatibility Wikitext version 2.0 or higher should be used.
 
+== Rails 3.1
+
+Add a line like the following to your Gemfile:
+
+  gem 'wikitext'
+
 = Links
 
 * RubyForge project page: http://rubyforge.org/projects/wikitext
@@ -487,7 +497,7 @@ Other contributors that have submitted patches include:
 
 = License
 
-Copyright 2007-2010 Wincent Colaiuta. All rights reserved.
+Copyright 2007-2011 Wincent Colaiuta. All rights reserved.
 
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
index fc4a2f2b6c0cb27dbecb003e0cfc52738f4cdaee..4d8ebb830e29bc255cc8cff0be63f07cf8c25294 100644 (file)
@@ -6,6 +6,18 @@ require any user or developer action are generally not included
 in these release notes. For a full listing of all changes see
 the source code repository at: http://git.wincent.com.
 
+= Changes in 3.0b
+
+* silence deprecation warnings triggered under Rails 3.1
+* note that this release supports only Rails 3.1; for older
+  versions of Rails you should continue to use the Wikitext
+  2.1.x series, which continues to be supported
+
+= Changes in 2.1.1
+
+* fix a couple of token-swallowing bugs that manifested when certain
+  invalid markup was fed into the translator
+
 = Changes in 2.1
 
 * the +external_link_rel+ attribute can be used to include a